%define bootstrap 0
%{?_without_bootstrap: %global bootstrap 0}
%{?_with_bootstrap: %global bootstrap 1}

%global __provides_exclude perl\\(.*Texinfo.*\\)
%global __requires_exclude perl\\(.*Texinfo.*\\)

Name:		texinfo
Version:	6.8
Release:	%mkrel 1
Summary:	Tools needed to create Texinfo format documentation files
License:	GPLv3
Group:		Publishing
URL:		http://www.texinfo.org/
Source0:	ftp://ftp.gnu.org/pub/gnu/texinfo/%{name}-%{version}.tar.xz
Source1:	info-dir
Patch107:	texinfo-6.0-vikeys-segfault-fix.patch
Patch0: texinfo-6.0-disable-failing-info-test.patch
Patch1: texinfo-6.1-install-info-use-create-tmp-then-rename-pattern.patch
Patch2: info-6.5-sync-fix-info-dir.patch
Patch3: texinfo-6.5-fix-info-dir.patch
Patch4: texinfo-6.5-covscan-fixes.patch
Patch5: texinfo-6.8-undo-gnulib-nonnul.patch
Patch51: 0001-fix-info-dir-add-xz-support.patch

BuildRequires:	ncurses-devel
BuildRequires:	zlib-devel
BuildRequires:	help2man
BuildRequires:	perl(Locale::Messages)
BuildRequires:	perl-Unicode-EastAsianWidth
BuildRequires:	perl(Text::Unidecode)

%description
Texinfo is a documentation system that can produce both online information
and printed output from a single source file.  Normally, you'd have to
write two separate documents: one for online help or other online
information and the other for a typeset manual or other printed work.
Using Texinfo, you only need to write one source document.  Then when the
work needs revision, you only have to revise one source document.  The GNU
Project uses the Texinfo file format for most of its documentation.

Install texinfo if you want a documentation system for producing both
online and print documentation from the same source file and/or if you are
going to write documentation for the GNU Project.

%package -n info
Summary:	A stand-alone TTY-based reader for GNU texinfo documentation
Group:		System/Base


%description -n	info
The GNU project uses the texinfo file format for much of its
documentation. The info package provides a standalone TTY-based browser
program for viewing texinfo files.

You should install info, because GNU's texinfo documentation is a valuable
source of information about the software on your system.

%package -n info-install
Summary:	Program to update the GNU texinfo documentation main page
Group:		System/Base
Requires(pre):	makedev
Requires:	xz
# explicit file provides
Provides:	/sbin/install-info

%description -n	info-install
The GNU project uses the texinfo file format for much of its
documentation. The info package provides a standalone TTY-based browser
program for viewing texinfo files.

%package tex
Summary:	Tools for formatting Texinfo documentation files using TeX
Group:	Publishing
Requires:	texinfo = %{version}-%{release}
Requires:	texlive
Requires(post):	texlive
Requires(postun):	texlive

%description tex
Texinfo is a documentation system that can produce both online
information and printed output from a single source file. The GNU
Project uses the Texinfo file format for most of its documentation.

The texinfo-tex package provides tools to format Texinfo documents
for printing using TeX.

%prep
%setup -qn %name-%{version}
%apply_patches

%build
%configure2_5x \
	--with-external-Text-Unidecode \
	--with-external-libintl-perl \
	--with-external-Unicode-EastAsianWidth \
	--disable-perl-xs \
	--disable-rpath

%make_build

%install
%make_install
install -m644 %{SOURCE1} -D %{buildroot}%{_sysconfdir}/info-dir
rm -rf %{buildroot}%{_infodir}/dir
ln -s %{_sysconfdir}/info-dir %{buildroot}%{_infodir}/dir
mkdir -p %{buildroot}/sbin
mv %{buildroot}%{_bindir}/install-info %{buildroot}/sbin/install-info
mkdir -p %{buildroot}%{_sysconfdir}/X11/wmconfig

# Doc install for the tex subpackage (from Fedora)
mkdir -p %{buildroot}%{_datadir}/texmf/tex/texinfo
install -p -m644 doc/texinfo.tex doc/txi-??.tex %{buildroot}%{_datadir}/texmf/tex/texinfo

find %{buildroot} -name "*.*a" -delete

install -Dpm0755 -t %{buildroot}%{_sbindir} contrib/fix-info-dir

%find_lang %{name}
%find_lang %{name}_document

%post -n info 
[ -f %{_infodir}/dir ] && create_arg="" || create_arg="--create"
[ -x %{_sbindir}/fix-info-dir ] && %{_sbindir}/fix-info-dir $create_arg %{_infodir}/dir &>/dev/null ||:

%postun -n info
[ -f %{_infodir}/dir ] && %{_sbindir}/fix-info-dir --delete %{_infodir}/dir &>/dev/null ||:


%files -f %{name}.lang -f %{name}_document.lang
%{_bindir}/makeinfo
%{_bindir}/texi2any
%{_infodir}/info-stnd.info*
%{_infodir}/texinfo*
%{_mandir}/man1/makeinfo.1*
%{_mandir}/man1/texi2any.1*
%{_mandir}/man5/texinfo.5*
%{_datadir}/texinfo

%files -n info
%{_bindir}/info
%{_mandir}/man1/info.1*
%{_mandir}/man5/info.5*

%files -n info-install
%config(noreplace) %attr(644,root,root) %{_sysconfdir}/info-dir
%{_infodir}/dir
/sbin/install-info
%{_sbindir}/fix-info-dir
%{_mandir}/man1/install-info.1*

%files tex
%{_bindir}/texindex
%{_bindir}/texi2dvi
%{_bindir}/texi2pdf
%{_bindir}/pdftexi2dvi
%{_bindir}/pod2texi
%{_datadir}/texmf/tex/texinfo
%{_mandir}/man1/texindex.1*
%{_mandir}/man1/texi2dvi.1*
%{_mandir}/man1/texi2pdf.1*
%{_mandir}/man1/pod2texi.1*
%{_mandir}/man1/pdftexi2dvi.1*


%changelog
* Wed Oct 12 2022 tex - 6.8-1pclos2022
- new version

* Tue Mar 12 2019 tex - 6.5-2pclos2019
- update
